Before you log on to the O&M portal from a host that runs Windows or macOS to perform O&M operations, you must install a database O&M tool in the host. The recommended database O&M tools and versions vary based on the protocol over which you want to perform O&M operations. This topic lists the recommended database O&M tools and versions.

Windows

Protocol Recommended database O&M tool and version
SSH Xshell 5 or later, PuTTY 0.6, SecureCRT 8.1 or 8.5, and MobaXterm 11.0 or later.
RDP Remote Desktop Connection (MSTSC) client 6.x or later.
MySQL DBeaver 22.0.0, 21.2.5, or 21.3.5, DbVisualizer 12.1.9 or 13.0.1, Navicat Premium 12 or 15, and Navicat for MySQL 12 or 15. You can use DBeaver or DbVisualizer of one of the preceding versions to log on to only databases that run MySQL 5.7 or later.
SQL Server DBeaver 22.0.0, 21.2.5, or 21.3.5, Navicat Premium 12 or 15, and Navicat for MySQL 12 or 15.
PostgreSQL DBeaver 22.0.0, 21.2.5, or 21.3.5, and DbVisualizer 12.1.9.

macOS

Protocol Recommended database O&M tool and version
SSH ZOC 8.
RDP Microsoft Remote Desktop 10.0 or later.
MySQL DBeaver 22.0.0, 21.2.5, or 21.3.5, and DbVisualizer 12.1.9 or 13.0.1. You can use DBeaver or DbVisualizer of one of the preceding versions to log on to only databases that run only MySQL 5.7 or later.
SQL Server DBeaver 22.0.0, 21.2.5, and 21.3.5.
PostgreSQL DBeaver 22.0.0, 21.2.5, or 21.3.5, and DbVisualizer 12.1.9.